{% extends "bootstrap/base.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block title %}
{{page.layout.title}} | {{page.title}}
{% endblock %}


{% block styles %}
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="shortcut icon" href="/static/img/favicon.ico">
  <link rel="stylesheet" href="/static/css/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <link rel="stylesheet" href="/static/css/assets/axolotl.min.css">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
{% endblock %}

{% block content %}
<body class="hold-transition login-page">
<div class="login-box">
  <div class="card">
    <div class="card-body login-card-body">
      <div class="login-logo">
        <img src="/static/img/logo.png" alt="Yootel Logo" width="300" height="100">
      </div>
      <p class="login-box-msg">Logiiiin to Axolotl</p>
      {% if message != None %}
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h5><i class="icon fas fa-ban"></i> Alert!</h5>
        {{message}}
      </div>
      {% endif %}
      <form method="post">
        {{ login_form.hidden_tag() }}
        <div class="input-group mb-3">
          {{ login_form.username(class="form-control", placeholder="Username") }}
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-user"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          {{ login_form.password(class="form-control", placeholder="Password") }}
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-8">
            <div class="icheck-primary">
              {{ login_form.remember_me() }}
              <label for="remember_me">
                Remember me
              </label>
            </div>
          </div>
          <div class="col-4">
            <button type="submit" class="btn btn-primary btn-block">Sign In</button>
          </div>
        </div>
      </form>
      <p class="mb-1">
        <a href="/reset">Reset Password</a>
      </p>
      <p class="mb-0">
        <a href="/request_membership" class="text-center">Request a membership</a>
      </p>
    </div>
  </div>
</div>
<center>
  <strong>{{page.layout.copyright}}</strong><br>
  {{page.layout.name}} by <a href="{{page.layout.company_website}}">{{page.layout.company_name}}</a>.
</center>

{% endblock %}

{% block scripts %}
<script src="/static/js/plugins/jquery.min.js"></script>
<script src="/static/js/plugins/bootstrap.bundle.min.js"></script>
<script src="/static/js/assets/axolotl.min.js"></script>
{% endblock scripts %}

